Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.modelloader.ms3d.specmath
Class Matrix34f

    java.lang.Object
      de.rico.engine.geometry.modelloader.ms3d.specmath.Matrix34f

    public class Matrix34f

extends java.lang.Object

Represents a 3x4 matrix of floats.

Version:
  0.1
Author:
  naj

Field Summary
`float` | `m00` The matrix data as represented below
`float` | `m01` The matrix data as represented below
`float` | `m02` The matrix data as represented below
`float` | `m03` The matrix data as represented below
`float` | `m10`
`float` | `m11`
`float` | `m12`
`float` | `m13`
`float` | `m20`
`float` | `m21`
`float` | `m22`
`float` | `m23`

Constructor Summary
`Matrix34f()`

Method Summary
`void` | `copy(Matrix34f matrix)` Copies the internal data of the given matrix into the current matrix.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m00

    public float m00

  The matrix data as represented below. [ m00 m01 m02 m03 ] [ m10 m11 m12 m13 ] [ m20 m21 m22 m23 ]

### m01

    public float m01

  The matrix data as represented below. [ m00 m01 m02 m03 ] [ m10 m11 m12 m13 ] [ m20 m21 m22 m23 ]

### m02

    public float m02

  The matrix data as represented below. [ m00 m01 m02 m03 ] [ m10 m11 m12 m13 ] [ m20 m21 m22 m23 ]

### m03

    public float m03

  The matrix data as represented below. [ m00 m01 m02 m03 ] [ m10 m11 m12 m13 ] [ m20 m21 m22 m23 ]

### m10

    public float m10

### m11

    public float m11

### m12

    public float m12

### m13

    public float m13

### m20

    public float m20

### m21

    public float m21

### m22

    public float m22

### m23

    public float m23

Constructor Detail

### Matrix34f

    public Matrix34f()

Method Detail

### copy

    public void copy(Matrix34f matrix)

  Copies the internal data of the given matrix into the current matrix.

  Parameters:
    `matrix` - the source matrix.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD